.ose.roll-dialog {
  .roll-details {
    font-weight: bold;
    text-align: center;
  }
}

.ose.dialog.creator {
  .attribute-list {
    .form-fields {
      flex: 0 0 50px;
      input {
        text-align: center;
        font-weight: bold;
      }
    }
  }
  .roll-stats {
    flex: 0 0 65px;
    padding: 5px;
    margin-left: 4px;
    border-left: 1px solid $colorTan;
    .form-group {
      .form-fields {
        span {
          text-align: center;
          line-height: 24px;
          flex: 0;
        }
      }
    }
  }
}

.ose.dialog.party-sheet {
  min-width: 250px;
  min-height: 250px;
  .window-content {
    padding: 0;
  }
  .header {
    color: whitesmoke;
    background: $darkBackground;
    padding: 4px 0;
    line-height: 20px;
    text-align: left;
    padding: 2px 10px;
    .item-controls {
      .item-control {
        padding: 0 2px;
        button {
          line-height: 15px;
          margin: 0 1px;
          background: rgba(255, 255, 240, 0.8);
          border: 1px solid #b5b3a4;
        }
      }
    }
  }
  .actor-list {
    margin: 0;
    overflow: auto;
    list-style: none;
    padding: 0;
    .actor {
      border-bottom: 1px solid $colorTan;
      border-top: 1px solid $colorTan;
      .fas {
        padding: 0 2px;
        font-size: 10px;
      }
      margin-bottom: 2px;
      font-size: 12px;
      text-align: center;
      .fields .field-row {
        &:nth-child(odd) {
          background-color: rgba(0, 0, 0, 0.1);
        }
      }
      .field-img {
        flex: 0 0 50px;
        position: relative;
        &:hover {
          .img-btns button {
            display: block;
          }
        }
        img {
          border: none;
          width: 45px;
          height: 45px;
        }
        .img-btns {
          position: absolute;
          bottom: 6px;
          left: 3px;
          width: 45px;
          height: 12px;
          button {
            display: none;
            cursor: pointer;
            font-size: 10px;
            height: 18px;
            width: 14px;
            line-height: 13px;
            margin: 0 1px;
            border: 1px solid $colorOlive;
            padding: 2px;
            background: $colorFaint;
            box-shadow: inset 0 0px 3px $colorTan;
          }
        }
      }
    }
  }
  .field-name {
    text-align: left;
    text-indent: 10px;
  }
}

#sidebar #actors .directory-header .header-search {
  .ose-party-sheet {
    width: 32px;
    text-align: center;
    line-height: 20px;
  }
  input {
    width: calc(100% - 45px);
  }
}

.ose.dialog.modifiers {
  .attribute-bonuses {
    label {
      font-weight: bold;
    }
    ol {
      list-style: outside;
    }
  }
}

.sheet.roll-table-config {
  .sheet-header {
    .toggle-treasure {
      flex: 0 0 30px;
      font-size: 26px;
      line-height: 25px;
      color: white;
      margin: 0 2px 5px 8px;
      border-radius: 8px;
      background: url("/systems/ose/assets/chest.png") no-repeat center;
      background-size: cover;
      padding: 5px 8px;
      cursor: pointer;
      filter: grayscale(1) opacity(0.5);
      &.active,
      &:hover {
        filter: none;
      }
    }
  }
  @keyframes activated {
    from {
      background: none;
    }
    to {
      background: rgba(0, 0, 0, 0.12);
    }
  }
  .results {
    .table-result.active {
      animation: 0.7s infinite alternate activated;
    }
  }
}

#settings .ose.game-license {
  font-size: 12px;
  .button {
    text-align: center;
    margin: 4px;
  }
  .footer {
    text-align: right;
  }
}

.ose.chat-block {
  margin: 0;
  .chat-header {
    height: 46px;
    margin: 4px 0;
    background: $darkBackground;
    border: 1px solid black;
    border-radius: 3px;
    color: white;
    padding: 2px;
    box-shadow: 0 0 2px #fff inset;
    .chat-title {
      margin: 4px 0;
      height: 30px;
      overflow: hidden;
      h2 {
        border: none;
        line-height: 34px;
        margin: 0;
        text-indent: 10px;
        font-size: 16px;
        word-break: break-all;
      }
    }
    .chat-img {
      flex: 0 0 42px;
      background-size: cover;
    }
  }
  .chat-details {
    padding: 4px;
    font-size: 13px;
  }
  .roll-result {
    font-size: 13px;
    text-align: center;
    &.roll-success {
      color: #18520b;
    }
    &.roll-fail {
      color: #aa0200;
    }
  }
  .damage-roll {
    position: relative;
    .dice-damage {
      display: none;
      position: absolute;
      line-height: 24px;
      text-align: center;
      background: rgba(0, 0, 0, 0.1);
      border-radius: 3px;
      box-shadow: 0 0 2px #fff inset;
      bottom: 1px;
      right: 10px;
      button {
        padding: 2px 5px;
        width: 22px;
        line-height: 14px;
        height: 22px;
        cursor: pointer;
      }
    }
    &:hover {
      .dice-damage {
        display: block;
      }
    }
  }
}

.ose.chat-card {
  font-style: normal;
  font-size: 12px;

  .card-header {
    padding: 3px 0;
    border-top: 2px groove #fff;
    border-bottom: 2px groove #fff;

    img {
      flex: 0 0 36px;
      margin-right: 5px;
      border: none;
    }

    h3 {
      flex: 1;
      margin: 0;
      line-height: 36px;
      color: $colorOlive;
      &:hover {
        color: #111;
      }
    }
  }

  .card-content {
    margin: 5px 0;
    .treasure-list {
      padding: 0;
      list-style: none;
      .treasure {
        img {
          flex: 0 0 36px;
          border: none;
        }
        div {
          text-indent: 10px;
          font-size: 14px;
          font-weight: bold;
        }
        line-height: 36px;
      }
    }
    h3 {
      font-size: 12px;
      margin: 0;
      font-weight: bold;
    }

    > * {
      -webkit-user-select: text;
      -moz-user-select: text;
      -ms-user-select: text;
      user-select: text;
    }
  }

  .card-buttons {
    margin: 5px 0;

    span {
      display: block;
      line-height: 28px;
      text-align: center;
      border: 1px solid $colorTan;
    }

    button {
      font-size: 12px;
      height: 24px;
      line-height: 20px;
      margin: 2px 0;
    }
  }

  .card-footer {
    padding: 3px 0 0;
    border-top: 2px groove #fff;

    span {
      border-right: 2px groove #fff;
      padding: 0 5px 0 0;
      font-size: 10px;

      &:last-child {
        border-right: none;
        padding-right: 0;
      }
    }
  }
}

.dice-roll .dice-total {
  &.success {
    color: inherit;
    background: #c7d0c0;
    border: 1px solid #006c00;
  }
  &.failure {
    color: inherit;
    background: #ffdddd;
    border: 1px solid #6e0000;
  }
  &.critical {
    color: green;
  }
  &.fumble {
    color: red;
  }
}
